FilterDataHandler (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ziclix.python.sql
Class FilterDataHandler

    java.lang.Object
      |
      +--com.ziclix.python.sql.DataHandler
            |
            +--com.ziclix.python.sql.FilterDataHandler

Direct Known Subclasses:
  JDBC20DataHandler

public abstract class FilterDataHandler
extends DataHandler

A FilterDataHandler contains some other DataHandler, which it uses as its basic source of functionality, possibly transforming the calls along the way or providing additional functionality. The class FilterDataHandler itself simply overrides all methods of DataHandler with versions that pass all requests to the contained data handler.

Version:
  $Revision: 1.2 $
Author:
  brian zimmer
, last revised by $Author: bzimmer $

Constructor Summary
`FilterDataHandler(DataHandler delegate)` Constructor FilterDataHandler

Method Summary
`PyObject` | `getPyObject(java.sql.ResultSet set, int col, int type)` Method getPyObject
`PyObject` | `getRowId(java.sql.Statement stmt)` Returns the row id of the last executed statement.
`void` | `postExecute(java.sql.Statement stmt)` Method postExecute
`void` | `preExecute(java.sql.Statement stmt)` Method preExecute
`void` | `setJDBCObject(java.sql.PreparedStatement stmt, int index, PyObject object)` Method setJDBCObject
`void` | `setJDBCObject(java.sql.PreparedStatement stmt, int index, PyObject object, int type)` Method setJDBCObject

Methods inherited from class com.ziclix.python.sql.DataHandler
`checkNull, getMetaDataName, getProcedureName, getPyObject, read, read, registerOut`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterDataHandler

    public FilterDataHandler(DataHandler delegate)

  Constructor FilterDataHandler

Method Detail

### getRowId

    public PyObject getRowId(java.sql.Statement stmt)
                      throws java.sql.SQLException

  Returns the row id of the last executed statement.

  Overrides:
    `getRowId` in class `DataHandler`
  Returns:
    PyObject
  Throws:
    `java.sql.SQLException`

### preExecute

    public void preExecute(java.sql.Statement stmt)
                    throws java.sql.SQLException

  Method preExecute

  Overrides:
    `preExecute` in class `DataHandler`
  Throws:
    `java.sql.SQLException`

### postExecute

    public void postExecute(java.sql.Statement stmt)
                     throws java.sql.SQLException

  Method postExecute

  Overrides:
    `postExecute` in class `DataHandler`
  Throws:
    `java.sql.SQLException`

### setJDBCObject

    public void setJDBCObject(java.sql.PreparedStatement stmt,
                              int index,
                              PyObject object)
                       throws java.sql.SQLException

  Method setJDBCObject

  Overrides:
    `setJDBCObject` in class `DataHandler`
  Parameters:
    `stmt` - the current PreparedStatement
    `index` - the index for which this object is bound
    `object` - the PyObject in question
  Throws:
    `java.sql.SQLException`

### setJDBCObject

    public void setJDBCObject(java.sql.PreparedStatement stmt,
                              int index,
                              PyObject object,
                              int type)
                       throws java.sql.SQLException

  Method setJDBCObject

  Overrides:
    `setJDBCObject` in class `DataHandler`
  Parameters:
    `stmt` - the current PreparedStatement
    `index` - the index for which this object is bound
    `object` - the PyObject in question
    `type` - the java.sql.Types for which this PyObject should be bound
  Throws:
    `java.sql.SQLException`

### getPyObject

    public PyObject getPyObject(java.sql.ResultSet set,
                                int col,
                                int type)
                         throws java.sql.SQLException

  Method getPyObject

  Overrides:
    `getPyObject` in class `DataHandler`
  Parameters:
    `set` - the current ResultSet set to the current row
    `col` - the column number (adjusted properly for JDBC)
    `type` - the column type
  Returns:
    PyObject
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage